- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# pn_role – CLI command to create/delete/modify role

New in version 2.8.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module can be used to create, delete and modify user roles.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_access string | Choices: read-only read-write | type of access.
pn_cliswitch string |  | Target switch to run the CLI on.
pn_delete_from_users boolean | Choices: no yes | delete from users.
pn_name string / required |  | role name.
pn_running_config boolean | Choices: no yes | display running configuration of switch.
pn_scope string | Choices: local fabric | local or fabric.
pn_shell boolean | Choices: no yes | allow shell command.
pn_sudo boolean | Choices: no yes | allow sudo from shell.
state string / required | Choices: present absent update | State the action to perform. Use `present` to create role and `absent` to delete role and `update` to modify role.

## Examples

    - name: Role create
      pn_role:
        pn_cliswitch: 'sw01'
        state: 'present'
        pn_name: 'foo'
        pn_scope: 'local'
        pn_access: 'read-only'

    - name: Role delete
      pn_role:
        pn_cliswitch: 'sw01'
        state: 'absent'
        pn_name: 'foo'

    - name: Role modify
      pn_role:
        pn_cliswitch: 'sw01'
        state: 'update'
        pn_name: 'foo'
        pn_access: 'read-write'
        pn_sudo: true
        pn_shell: true

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the role command.
stdout list | always | set of responses from the role command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.